#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1

Name: cantor
Summary: KDE Interface for doing Mathematics and Scientific Computing
Version: 16.12.3
Release: %mkrel %{rel}
Group: Sciences/Mathematics
License: GPLv2
URL: http://www.kde.org/applications/education/cantor/
Source: http://download.kde.org/stable/%version/src/%{name}-%version.tar.xz

# Branch patches 100->200
# Trunk patches 200->300

# Mageia patches 500->600

BuildRequires: analitza-devel >= %{version}

BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Svg)
BuildRequires: pkgconfig(Qt5Xml)
BuildRequires: pkgconfig(Qt5XmlPatterns)
BuildRequires: pkgconfig(Qt5Test)

BuildRequires: kf5-macros 
BuildRequires: kconfig-devel
BuildRequires: knewstuff-devel
BuildRequires: ktexteditor-devel
BuildRequires: kcoreaddons-devel
BuildRequires: karchive-devel
BuildRequires: kparts-devel
BuildRequires: kpty-devel
BuildRequires: kdelibs4support-devel

BuildRequires: pkgconfig(libR)
BuildRequires: pkgconfig(python-2.7)
BuildRequires: pkgconfig(python-3.5)
BuildRequires: pkgconfig(libspectre)
BuildRequires: pkgconfig(libqalculate)
BuildRequires: pkgconfig(luajit)

BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl

Recommends:     cantor-handbook

%description
Cantor is a KDE Application aimed to provide a nice interface
for doing Mathematics and Scientific Computing. It doesn't implement
its own Computation Logic, but instead is built around different
Backends.

%files
%_kf5_bindir/cantor
%_kf5_bindir/cantor_rserver
%_kf5_bindir/cantor_python3server
%_kf5_libdir/libcantor_config.so
%_kf5_datadir/cantor
%_kf5_datadir/config.kcfg/cantor.kcfg
%_kf5_datadir/config.kcfg/cantor_libs.kcfg
%_kf5_datadir/config.kcfg/kalgebrabackend.kcfg
%_kf5_datadir/config.kcfg/luabackend.kcfg
%_kf5_datadir/config.kcfg/maximabackend.kcfg
%_kf5_datadir/config.kcfg/octavebackend.kcfg
%_kf5_datadir/config.kcfg/python2backend.kcfg
%_kf5_datadir/config.kcfg/qalculatebackend.kcfg
%_kf5_datadir/config.kcfg/rserver.kcfg
%_kf5_datadir/config.kcfg/sagebackend.kcfg
%_kf5_datadir/config.kcfg/scilabbackend.kcfg
%_qt5_plugindir/cantor/assistants
%_qt5_plugindir/cantor/backends
%_qt5_plugindir/cantor/panels
%_kf5_iconsdir/*/*/*/*.png
%_kf5_sysconfdir/xdg/*.knsrc
%_kf5_libdir/libcantor_pythonbackend.so
%_qt5_plugindir/*.so
%_kf5_datadir/appdata/org.kde.cantor.appdata.xml
%_kf5_datadir/applications/org.kde.cantor.desktop
%_kf5_datadir/kxmlgui5/cantor
%_kf5_datadir/config.kcfg/python3backend.kcfg


#------------------------------------------------------------------------------

%package handbook
Summary: Cantor Handbook
Conflicts: cantor < 4.7.1
BuildArch: noarch
Group: Documentation

%description handbook
This package provides Cantor handbook.

%files handbook
%doc README TODO
%docdir %_kf5_docdir/HTML/
%_kf5_docdir/HTML/en/cantor

#------------------------------------------------------------------------------

%define cantorlibs_major 16
%define libcantorlibs %mklibname cantorlibs %{cantorlibs_major}

%package -n %libcantorlibs
Summary: Runtime library for cantor
Group: System/Libraries

%description -n %libcantorlibs
Runtime library for cantor.

%files -n %libcantorlibs
%_kf5_libdir/libcantorlibs.so.%{cantorlibs_major}*

#------------------------------------------------------------------------------

%package devel
Summary: Devel stuff for %{name}
Group: Development/KDE and Qt
Requires: %libcantorlibs = %version-%release
Conflicts: kdeedu4-devel < 4.6.90

%description  devel
Files needed to build applications based on %{name}.

%files devel
%_kf5_libdir/libcantorlibs.so
%_includedir/%{name}

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export LD=/usr/bin/ld.gold
%cmake_kf5
%make_build

%install
%make_install -C build


%changelog
* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1089997
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076732
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1071948
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067265
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061324
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050591
- New version 16.08.1

* Wed Aug 24 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1048207
- New version 16.08.0

* Sun Aug 07 2016 daviddavid <daviddavid> 16.04.3-2.mga6
+ Revision: 1044884
- rebuild for new libqalculate 0.9.9

* Sun Jul 10 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1040436
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1012476
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1004266
- New version 16.04.0

* Tue Mar 29 2016 umeabot <umeabot> 16.03.80-2.mga6
+ Revision: 996102
- Mageia 6 Mass Rebuild

  + neoclust <neoclust>
    - New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 15.12.3-1.mga6
+ Revision: 991119
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 15.12.2-1.mga6
+ Revision: 987383
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 15.12.1-1.mga6
+ Revision: 922557
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 15.12.0-1.mga6
+ Revision: 911895
- New version 15.12.0

* Fri Nov 27 2015 neoclust <neoclust> 15.11.80-1.mga6
+ Revision: 906524
- New version 15.11.80
- New version 15.08.3
- New version 15.08.2
- New version 15.08.1
- New version 15.08.0
- Plasma Mass Rebuild - Rebuild for new Plasma
- New version 15.07.90
- New version 15.07.80

* Wed Jul 22 2015 neoclust <neoclust> 15.04.3-1.mga6
+ Revision: 856060
- New version 15.04.3

* Wed Dec 03 2014 lmenut <lmenut> 4.14.3-1.mga5
+ Revision: 800537
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 4.14.2-1.mga5
+ Revision: 787619
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 4.14.1-2.mga5
+ Revision: 746901
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 4.14.1-1.mga5
+ Revision: 734485
- Update to KDE SC 4.14.1

* Sat Sep 27 2014 tv <tv> 4.14.0-4.mga5
+ Revision: 726021
- rebuild for missing pythoneggs deps

* Thu Sep 18 2014 umeabot <umeabot> 4.14.0-3.mga5
+ Revision: 693576
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 4.14.0-2.mga5
+ Revision: 678308
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Mon Aug 25 2014 lmenut <lmenut> 4.14.0-1.mga5
+ Revision: 667423
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 4.13.97-1.mga5
+ Revision: 662934
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 4.13.95-1.mga5
+ Revision: 656612
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 4.13.90-1.mga5
+ Revision: 653798
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Mon Jul 14 2014 lmenut <lmenut> 4.13.80-1.mga5
+ Revision: 652085
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1
  add luabackend

* Sun Jun 15 2014 lmenut <lmenut> 4.13.2-1.mga5
+ Revision: 636672
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 4.13.1-1.mga5
+ Revision: 625439
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 4.13.0-1.mga5
+ Revision: 615512
- Update to KDE SC 4.13.0

* Mon Mar 31 2014 filipesaraiva <filipesaraiva> 4.12.97-2.mga5
+ Revision: 610975
- Build Python backend

* Sat Mar 29 2014 lmenut <lmenut> 4.12.97-1.mga5
+ Revision: 609332
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 4.12.95-1.mga5
+ Revision: 606773
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3
  + drop patch500 cantor-rpath, fixed upstream

* Thu Mar 13 2014 neoclust <neoclust> 4.12.90-1.mga5
+ Revision: 603272
- New version 4.12.80

* Fri Mar 07 2014 neoclust <neoclust> 4.12.80-1.mga5
+ Revision: 600611
- New version 4.12.80
- New version 4.12.3

* Sat Feb 15 2014 neoclust <neoclust> 4.12.2-1.mga5
+ Revision: 591699
- New version 4.12.2

* Tue Feb 04 2014 neoclust <neoclust> 4.11.5-1.mga5
+ Revision: 580771
- Update tarball to KDE SC 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 4.11.4-1.mga4
+ Revision: 554932
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 4.11.3-1.mga4
+ Revision: 551186
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 4.11.2-2.mga4
+ Revision: 540107
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 4.11.2-1.mga4
+ Revision: 490733
- Update tarball to KDE SC 4.11.2

* Mon Sep 09 2013 mikala <mikala> 4.11.1-1.mga4
+ Revision: 476826
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 4.11.0-1.mga4
+ Revision: 465177
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 4.10.97-1.mga4
+ Revision: 458846
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 4.10.95-1.mga4
+ Revision: 455237
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 4.10.90-1.mga4
+ Revision: 447935
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1

* Sun Jun 02 2013 mikala <mikala> 4.10.4-1.mga4
+ Revision: 435298
- Update tarball to KDE SC 4.10.4

* Mon May 27 2013 mikala <mikala> 4.10.3-1.mga4
+ Revision: 428403
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 4.10.2-1.mga3
+ Revision: 407221
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 4.10.1-1.mga3
+ Revision: 401833
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 4.10.0-1.mga3
+ Revision: 394392
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Fri Jan 11 2013 umeabot <umeabot> 4.9.97-2.mga3
+ Revision: 347393
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 4.9.97-1.mga3
+ Revision: 339470
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 4.9.95-1.mga3
+ Revision: 334553
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 4.9.90-1.mga3
+ Revision: 326755
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 4.9.80-1.mga3
+ Revision: 320312
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1

* Wed Nov 07 2012 mikala <mikala> 4.9.3-1.mga3
+ Revision: 316192
- Update tarball to KDE SC 4.9.3

* Tue Oct 02 2012 mikala <mikala> 4.9.2-1.mga3
+ Revision: 301963
- Update tarball to KDE SC 4.9.2
- Fix group

* Sat Sep 08 2012 mikala <mikala> 4.9.1-1.mga3
+ Revision: 289764
- Update tarball to KDE SC 4.9.1

* Wed Aug 01 2012 mikala <mikala> 4.9.0-1.mga3
+ Revision: 277087
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 4.8.97-1.mga3
+ Revision: 269646
- new version 4.8.97

* Sun Jul 01 2012 shlomif <shlomif> 4.8.95-1.mga3
+ Revision: 266122
- New version 4.8.95 and some fixes.

* Fri Jun 08 2012 fwang <fwang> 4.8.4-1.mga3
+ Revision: 257248
- new version 4.8.4

* Wed Apr 04 2012 fwang <fwang> 4.8.2-1.mga2
+ Revision: 228358
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 4.8.1-1.mga2
+ Revision: 221459
- New upstream tarball

* Sat Jan 21 2012 mikala <mikala> 4.8.0-1.mga2
+ Revision: 199126
- Add pkgconfig(libqalculate) as BuildRequires
- Fix files list
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 4.7.97-1.mga2
+ Revision: 191101
- Update tarball to KDE 4.7.97

* Fri Dec 23 2011 mikala <mikala> 4.7.95-1.mga2
+ Revision: 186375
- Update tarball to KDE 4.7.95
- fix group

* Thu Dec 15 2011 mikala <mikala> 4.7.90-1.mga2
+ Revision: 181866
- Update tarball to KDE SC 4.7.90
- Fix files list
- use gold for linker

* Sun Dec 04 2011 mikala <mikala> 4.7.4-1.mga2
+ Revision: 176348
- Update tarball to KDE SC 4.7.4

* Tue Nov 01 2011 mikala <mikala> 4.7.3-1.mga2
+ Revision: 161074
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 4.7.2-1.mga2
+ Revision: 151927
- Update tarball to KDE SC 4.7.2
- clean spec

* Wed Sep 07 2011 mikala <mikala> 4.7.1-1.mga2
+ Revision: 140620
- Update tarball to KDE SC 4.7.1
- Split handbook in his own package (mga #2101)
- Remove %%defattr
- Remove kdelibs4-devel as require for -devel package (already handled by autoreqprov)
- Update tarball to KDE SC 4.7.0
- use pkconfig() for buildRequires

* Mon Jul 11 2011 mikala <mikala> 4.6.95-0.mga2
+ Revision: 122351
- Update tarball to KDE 4.6.95 ( KDE SC 4.7 RC2)

* Tue Jun 28 2011 fwang <fwang> 4.6.90-1.mga2
+ Revision: 115398
- add conflicts on older package

  + mikala <mikala>
    - imported package cantor

